local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("XLootMonitor", "XLootMonitor")
if not Addon then return end

-- members
Addon.wasVisible = false
Addon.wasLocked = false

function Addon:Start()
    
    -- show the anchor
    self.wasVisible = XLootMonitor.AA.stacks.loot.opts.anchor.get()
    if not self.wasVisible then
        XLootMonitor.AA.stacks.loot.opts.anchor.set()
    end
    
    -- unlock the anchor
    self.wasLocked = XLootMonitor.AA.stacks.loot.opts.lock.get()
    XLootMonitor.AA.stacks.loot.opts.lock.set(false)
end

function Addon:Stop()
    
    -- hide the anchor
    if not self.wasVisible then
        XLootMonitor.AA.stacks.loot.opts.anchor.set()
    end

    -- lock the anchor
    XLootMonitor.AA.stacks.loot.opts.lock.set(self.wasLocked)
end